import 'package:equatable/equatable.dart';

class DataCollection<T> implements Equatable {
  final int total;
  final List<T> items;

  DataCollection(this.items, this.total);

  @override
  List<Object> get props {
    return [items];
  }

  DataCollection<T> operator +(DataCollection<T> other) {
    return DataCollection(this.items + other.items, this.total);
  }

  @override
  bool get stringify {
    return false;
  }
}
