class UserModel {
  static final UserModel userModel = new UserModel();
  int id;
  String userPayloadId;
  String firstName;
  String lastName;
  String profileImg;
  String about;

  UserModel(
      {this.id,
      this.userPayloadId,
      this.firstName,
      this.lastName,
      this.profileImg,
      this.about});

  factory UserModel.fromJson(Map<String, dynamic> json) {
    return new UserModel(
        id: json['id'],
        userPayloadId: json['userPayloadId'].toString(),
        firstName: json['firstName'].toString(),
        lastName: json['lastName'].toString(),
        profileImg: json['profileImg'].toString(),
        about: json['about'].toString());
  }
}
