import 'package:equatable/equatable.dart';

class Media extends Equatable {
  Media({
    this.website,
    this.whatsapp,
    this.facebook,
    this.instagram,
    this.email,
    this.phoneNumber,
    this.youtube,
    this.twitter,
    this.linkedin,
    this.tiktok,
    // this.media
  });
  final String website;
  final String whatsapp;
  final String facebook;
  final String instagram;
  final String email;
  final String phoneNumber;
  final String youtube;
  final String twitter;
  final String linkedin;
  final String tiktok;
  // final PartnerMedia media;

  factory Media.fromJson(Map<String, dynamic> json) => Media(
        website: json['website'],
        whatsapp: json['whatsapp'],
        facebook: json['facebook'],
        instagram: json['instagram'],
        email: json['email'],
        phoneNumber: json['phoneNumber'],
        youtube: json['youtube'],
        twitter: json['twitter'],
        linkedin: json['linkedin'],
        tiktok: json['tiktok'],
        // media: json['media'],
      );

  @override
  List<Object> get props => [
        {'website', website},
        {'whatsapp', whatsapp},
        {'facebook', facebook},
        {'instagram', instagram},
        {'email', email},
        {'phoneNumber', phoneNumber},
        {'youtube', youtube},
        {'twitter', twitter},
        {'linkedin', linkedin},
        {'tiktok', tiktok},
      ];
}
