import 'package:plugin_codelab_new/models/report_type_model.dart';

class ReportSubTypeModel {
  static final ReportSubTypeModel reportSubTypeModel = new ReportSubTypeModel();
  int id;
  ReportTypeModel reportType;
  String type;

  ReportSubTypeModel({
    this.id,
    this.reportType,
    this.type,
  });

  factory ReportSubTypeModel.fromJson(Map<String, dynamic> json) {
    ReportTypeModel reportType = ReportTypeModel.fromJson(json["reportType"]);
    return new ReportSubTypeModel(
      id: json['id'],
      reportType: reportType,
      type: json['type'].toString(),
    );
  }
}
