import 'package:plugin_codelab_new/widgets/camera_button_widget.dart';
import 'package:plugin_codelab_new/widgets/gallery_button_widget.dart';
import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';
import 'package:flutter_screenutil/screenutil_init.dart';

class SourcePage extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: PreferredSize(
          preferredSize: Size.fromHeight(70.0),
          child: AppBar(
            title: Padding(
              padding: EdgeInsets.only(
                  left: ScreenUtil().setWidth(60),
                  top: ScreenUtil().setWidth(9)),
              child: Text('Select Source'),
            ),
            backgroundColor: Color(0xFF083356),
          )),
      body: ListView(
        children: [
          CameraButtonWidget(),
          GalleryButtonWidget(),
        ],
      ),
    );
  }
}
